"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// test/e2e/ref.2.ts
var ref_2_exports = {};
__export(ref_2_exports, {
  input: () => input
});
module.exports = __toCommonJS(ref_2_exports);
var input = {
  $schema: "http://json-schema.org/draft-04/schema#",
  title: "Locally Referenced Manifest",
  type: "object",
  definitions: {
    firstDefinition: {
      title: "First Definition",
      description: "Title matches definition key for kicks",
      type: "object",
      properties: {
        name: {
          type: "string"
        }
      }
    },
    secondDefinition: {
      title: "Unrelated Title",
      description: "Title is unrelated to definition key and behaviour is the same",
      type: "object",
      properties: {
        name: {
          type: "string"
        }
      }
    },
    thirdDefinition: {
      description: "Definition has no title and produces no duplicate Interface",
      type: "object",
      properties: {
        name: {
          type: "string"
        }
      }
    },
    fourthDefinition: {
      title: "Fourth Definition Simple Object",
      description: "A simple object type with title set and no properties defined produces no duplicate Interface",
      type: "object"
    },
    fifthDefinition: {
      title: "Fifth Definition String",
      description: "A string with title and enum defined does produce a duplicate Interface",
      type: "string",
      enum: ["one", "two", "three"]
    },
    sixthDefinition: {
      id: "six",
      type: "number"
    }
  },
  properties: {
    firstContainer: {
      description: "Behaviour is the same if definition is referenced as prop within a container",
      type: "object",
      properties: {
        first: {
          $ref: "#/definitions/firstDefinition"
        }
      }
    },
    second: {
      $ref: "#/definitions/secondDefinition"
    },
    third: {
      $ref: "#/definitions/thirdDefinition"
    },
    fourth: {
      $ref: "#/definitions/fourthDefinition"
    },
    fifth: {
      $ref: "#/definitions/fifthDefinition"
    },
    sixth: {
      $ref: "#/definitions/sixthDefinition"
    }
  }
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  input
});
